Bug 1826736 - Review Request: php-composer-semver2 - Semver library version 2
Summary: Review Request: php-composer-semver2 - Semver library version 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-22 13:10 UTC by Remi Collet
Modified: 2020-06-11 22:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-11 22:56:42 UTC
Type: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (6.03 KB, text/plain)
2020-05-31 15:14 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-src.log (4.66 KB, text/plain)
2020-05-31 15:14 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.90 KB, text/plain)
2020-05-31 15:15 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2020-04-22 13:10:23 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/composer/php-composer-semver2.git/plain/php-composer-semver2.spec?id=5f1b86a6a5aab9dd5907822750080e00d4a5f7d1
SRPM URL: https://rpms.remirepo.net/SRPMS/php-composer-semver2-2.0.0-1.remi.src.rpm
Description: 
parsing and validation.

Originally written as part of composer/composer, now extracted and
made available as a stand-alone library.

Autoloader: /usr/share/php/Composer/Semver2/autoload.php


Fedora Account System Username: remi

Comment 2 Shawn Iwinski 2020-05-31 14:57:55 UTC
Is this major version still required as v3.0.0 has been released?: https://github.com/composer/semver/releases

Comment 3 Shawn Iwinski 2020-05-31 15:14:24 UTC
Created attachment 1693853 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.2.3 DB version 2.14.0 built May 18 2020 09:40:40 CEST

Comment 4 Shawn Iwinski 2020-05-31 15:14:43 UTC
Created attachment 1693854 [details]
phpcompatinfo-src.log

phpCompatInfo version 5.2.3 DB version 2.14.0 built May 18 2020 09:40:40 CEST

Comment 5 Shawn Iwinski 2020-05-31 15:15:08 UTC
Created attachment 1693855 [details]
fedora-review.txt

Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1826736
Buildroot used: fedora-rawhide-x86_64
Active plugins: PHP, Shell-api, Generic
Disabled plugins: Ocaml, Python, C/C++, Java, Perl, Haskell, SugarActivity, R, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Shawn Iwinski 2020-05-31 15:16:31 UTC
[!]: Latest version is packaged.

v2.0.0 packaged but v3.0.0 available.  This package is namespaced to v2 though so no issue and latest v2 is packaged.

Comment 7 Shawn Iwinski 2020-05-31 15:17:22 UTC
No blockers

===== APPROVED =====

Comment 9 Gwyn Ciesla 2020-06-02 12:16:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-composer-semver2

Comment 10 Fedora Update System 2020-06-02 13:02:14 UTC
FEDORA-2020-c7b0cb8345 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7b0cb8345

Comment 11 Fedora Update System 2020-06-03 03:11:48 UTC
FEDORA-2020-c7b0cb8345 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c7b0cb8345 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c7b0cb8345

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-11 22:56:42 UTC
php-composer-semver2-2.0.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.